Runtime

## org.eclipse.gmf.runtime.notation.impl
Class NotationPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.runtime.notation.impl.NotationPackageImpl

All Implemented Interfaces:
  BasicExtendedMetaData.EPackageExtendedMetaData.Holder, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, NotationPackage, Notifier

public class NotationPackageImpl
extends EPackageImpl
implements NotationPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.gmf.runtime.notation.NotationPackage
`NotationPackage.Literals`

Nested classes inherited from class org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.runtime.notation.NotationPackage

`ALIGNMENT, ANCHOR, ANCHOR_FEATURE_COUNT, BENDPOINTS, BENDPOINTS_FEATURE_COUNT, BOUNDS, BOUNDS__HEIGHT, BOUNDS__WIDTH, BOUNDS__X, BOUNDS__Y, BOUNDS_FEATURE_COUNT, CANONICAL_STYLE, CANONICAL_STYLE__CANONICAL, CANONICAL_STYLE_FEATURE_COUNT, CONNECTOR_STYLE, CONNECTOR_STYLE__AVOID_OBSTRUCTIONS, CONNECTOR_STYLE__CLOSEST_DISTANCE, CONNECTOR_STYLE__JUMP_LINK_STATUS, CONNECTOR_STYLE__JUMP_LINK_TYPE, CONNECTOR_STYLE__JUMP_LINKS_REVERSE, CONNECTOR_STYLE__LINE_COLOR, CONNECTOR_STYLE__ROUTING, CONNECTOR_STYLE__SMOOTHNESS, CONNECTOR_STYLE_FEATURE_COUNT, DESCRIPTION_STYLE, DESCRIPTION_STYLE__DESCRIPTION, DESCRIPTION_STYLE_FEATURE_COUNT, DIAGRAM, DIAGRAM__DIAGRAM, DIAGRAM__EANNOTATIONS, DIAGRAM__ELEMENT, DIAGRAM__MEASUREMENT_UNIT, DIAGRAM__MUTABLE, DIAGRAM__NAME, DIAGRAM__PERSISTED_CHILDREN, DIAGRAM__PERSISTED_EDGES, DIAGRAM__SOURCE_EDGES, DIAGRAM__STYLES, DIAGRAM__TARGET_EDGES, DIAGRAM__TRANSIENT_CHILDREN, DIAGRAM__TRANSIENT_EDGES, DIAGRAM__TYPE, DIAGRAM__VISIBLE, DIAGRAM_FEATURE_COUNT, DIAGRAM_STYLE, DIAGRAM_STYLE__DESCRIPTION, DIAGRAM_STYLE__HORIZONTAL_GUIDES, DIAGRAM_STYLE__PAGE_HEIGHT, DIAGRAM_STYLE__PAGE_WIDTH, DIAGRAM_STYLE__PAGE_X, DIAGRAM_STYLE__PAGE_Y, DIAGRAM_STYLE__VERTICAL_GUIDES, DIAGRAM_STYLE_FEATURE_COUNT, DRAWER_STYLE, DRAWER_STYLE__COLLAPSED, DRAWER_STYLE_FEATURE_COUNT, EDGE, EDGE__BENDPOINTS, EDGE__DIAGRAM, EDGE__EANNOTATIONS, EDGE__ELEMENT, EDGE__MUTABLE, EDGE__PERSISTED_CHILDREN, EDGE__SOURCE, EDGE__SOURCE_ANCHOR, EDGE__SOURCE_EDGES, EDGE__STYLES, EDGE__TARGET, EDGE__TARGET_ANCHOR, EDGE__TARGET_EDGES, EDGE__TRANSIENT_CHILDREN, EDGE__TYPE, EDGE__VISIBLE, EDGE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FILL_STYLE, FILL_STYLE__FILL_COLOR, FILL_STYLE_FEATURE_COUNT, FILTER_KEY_LIST, FILTERING, FILTERING_STYLE, FILTERING_STYLE__FILTERED_OBJECTS, FILTERING_STYLE__FILTERING, FILTERING_STYLE__FILTERING_KEYS, FILTERING_STYLE_FEATURE_COUNT, FONT_STYLE, FONT_STYLE__BOLD, FONT_STYLE__FONT_COLOR, FONT_STYLE__FONT_HEIGHT, FONT_STYLE__FONT_NAME, FONT_STYLE__ITALIC, FONT_STYLE__STRIKE_THROUGH, FONT_STYLE__UNDERLINE, FONT_STYLE_FEATURE_COUNT, GUIDE, GUIDE__NODE_MAP, GUIDE__POSITION, GUIDE_FEATURE_COUNT, GUIDE_STYLE, GUIDE_STYLE__HORIZONTAL_GUIDES, GUIDE_STYLE__VERTICAL_GUIDES, GUIDE_STYLE_FEATURE_COUNT, IDENTITY_ANCHOR, IDENTITY_ANCHOR__ID, IDENTITY_ANCHOR_FEATURE_COUNT, IMAGE, IMAGE__DATA, IMAGE_BUFFER_STYLE, IMAGE_BUFFER_STYLE__ANTI_ALIAS, IMAGE_BUFFER_STYLE__CROP_BOUND, IMAGE_BUFFER_STYLE__IMAGE_BUFFER, IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO, IMAGE_BUFFER_STYLE_FEATURE_COUNT, IMAGE_FEATURE_COUNT, IMAGE_STYLE, IMAGE_STYLE__ANTI_ALIAS, IMAGE_STYLE__CROP_BOUND, IMAGE_STYLE__MAINTAIN_ASPECT_RATIO, IMAGE_STYLE_FEATURE_COUNT, JUMP_LINK_STATUS, JUMP_LINK_TYPE, LAYOUT_CONSTRAINT, LAYOUT_CONSTRAINT_FEATURE_COUNT, LINE_STYLE, LINE_STYLE__LINE_COLOR, LINE_STYLE_FEATURE_COUNT, LOCATION, LOCATION__X, LOCATION__Y, LOCATION_FEATURE_COUNT, MEASUREMENT_UNIT, NODE, NODE__DIAGRAM, NODE__EANNOTATIONS, NODE__ELEMENT, NODE__LAYOUT_CONSTRAINT, NODE__MUTABLE, NODE__PERSISTED_CHILDREN, NODE__SOURCE_EDGES, NODE__STYLES, NODE__TARGET_EDGES, NODE__TRANSIENT_CHILDREN, NODE__TYPE, NODE__VISIBLE, NODE_ENTRY, NODE_ENTRY__KEY, NODE_ENTRY__VALUE, NODE_ENTRY_FEATURE_COUNT, NODE_FEATURE_COUNT, PAGE_STYLE, PAGE_STYLE__PAGE_HEIGHT, PAGE_STYLE__PAGE_WIDTH, PAGE_STYLE__PAGE_X, PAGE_STYLE__PAGE_Y, PAGE_STYLE_FEATURE_COUNT, RATIO, RATIO__VALUE, RATIO_FEATURE_COUNT, RELATIVE_BENDPOINT_LIST, RELATIVE_BENDPOINTS, RELATIVE_BENDPOINTS__POINTS, RELATIVE_BENDPOINTS_FEATURE_COUNT, ROUTING, ROUTING_STYLE, ROUTING_STYLE__AVOID_OBSTRUCTIONS, ROUTING_STYLE__CLOSEST_DISTANCE, ROUTING_STYLE__JUMP_LINK_STATUS, ROUTING_STYLE__JUMP_LINK_TYPE, ROUTING_STYLE__JUMP_LINKS_REVERSE, ROUTING_STYLE__ROUTING, ROUTING_STYLE__SMOOTHNESS, ROUTING_STYLE_FEATURE_COUNT, SHAPE_STYLE, SHAPE_STYLE__BOLD, SHAPE_STYLE__DESCRIPTION, SHAPE_STYLE__FILL_COLOR, SHAPE_STYLE__FONT_COLOR, SHAPE_STYLE__FONT_HEIGHT, SHAPE_STYLE__FONT_NAME, SHAPE_STYLE__ITALIC, SHAPE_STYLE__LINE_COLOR, SHAPE_STYLE__STRIKE_THROUGH, SHAPE_STYLE__UNDERLINE, SHAPE_STYLE_FEATURE_COUNT, SIZE, SIZE__HEIGHT, SIZE__WIDTH, SIZE_FEATURE_COUNT, SMOOTHNESS, SORT_KEY_MAP, SORTING, SORTING_DIRECTION, SORTING_STYLE, SORTING_STYLE__SORTED_OBJECTS, SORTING_STYLE__SORTING, SORTING_STYLE__SORTING_KEYS, SORTING_STYLE_FEATURE_COUNT, STYLE, STYLE_FEATURE_COUNT, TITLE_STYLE, TITLE_STYLE__SHOW_TITLE, TITLE_STYLE_FEATURE_COUNT, VIEW, VIEW__DIAGRAM, VIEW__EANNOTATIONS, VIEW__ELEMENT, VIEW__MUTABLE, VIEW__PERSISTED_CHILDREN, VIEW__SOURCE_EDGES, VIEW__STYLES, VIEW__TARGET_EDGES, VIEW__TRANSIENT_CHILDREN, VIEW__TYPE, VIEW__VISIBLE, VIEW_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EEnum` `getAlignment()`
`EClass` `getAnchor()`
`EClass` `getBendpoints()`
`EClass` `getBounds()`
`EAttribute` `getCanonicalStyle_Canonical()`
`EClass` `getCanonicalStyle()`
`EClass` `getConnectorStyle()`
`EAttribute` `getDescriptionStyle_Description()`
`EClass` `getDescriptionStyle()`
`EAttribute` `getDiagram_MeasurementUnit()`
`EAttribute` `getDiagram_Name()`
`EReference` `getDiagram_PersistedEdges()`
`EReference` `getDiagram_TransientEdges()`
`EClass` `getDiagram()`
`EClass` `getDiagramStyle()`
`EAttribute` `getDrawerStyle_Collapsed()`
`EClass` `getDrawerStyle()`
`EReference` `getEdge_Bendpoints()`
`EReference` `getEdge_Source()`
`EReference` `getEdge_SourceAnchor()`
`EReference` `getEdge_Target()`
`EReference` `getEdge_TargetAnchor()`
`EClass` `getEdge()`
`EAttribute` `getFillStyle_FillColor()`
`EClass` `getFillStyle()`
`EEnum` `getFiltering()`
`EReference` `getFilteringStyle_FilteredObjects()`
`EAttribute` `getFilteringStyle_Filtering()`
`EAttribute` `getFilteringStyle_FilteringKeys()`
`EClass` `getFilteringStyle()`
`EDataType` `getFilterKeyList()`
`EAttribute` `getFontStyle_Bold()`
`EAttribute` `getFontStyle_FontColor()`
`EAttribute` `getFontStyle_FontHeight()`
`EAttribute` `getFontStyle_FontName()`
`EAttribute` `getFontStyle_Italic()`
`EAttribute` `getFontStyle_StrikeThrough()`
`EAttribute` `getFontStyle_Underline()`
`EClass` `getFontStyle()`
`EReference` `getGuide_NodeMap()`
`EAttribute` `getGuide_Position()`
`EClass` `getGuide()`
`EReference` `getGuideStyle_HorizontalGuides()`
`EReference` `getGuideStyle_VerticalGuides()`
`EClass` `getGuideStyle()`
`EAttribute` `getIdentityAnchor_Id()`
`EClass` `getIdentityAnchor()`
`EAttribute` `getImage_Data()`
`EClass` `getImage()`
`EReference` `getImageBufferStyle_ImageBuffer()`
`EClass` `getImageBufferStyle()`
`EAttribute` `getImageStyle_AntiAlias()`
`EReference` `getImageStyle_CropBound()`
`EAttribute` `getImageStyle_MaintainAspectRatio()`
`EClass` `getImageStyle()`
`EEnum` `getJumpLinkStatus()`
`EEnum` `getJumpLinkType()`
`EClass` `getLayoutConstraint()`
`EAttribute` `getLineStyle_LineColor()`
`EClass` `getLineStyle()`
`EAttribute` `getLocation_X()`
`EAttribute` `getLocation_Y()`
`EClass` `getLocation()`
`EEnum` `getMeasurementUnit()`
`EReference` `getNode_LayoutConstraint()`
`EClass` `getNode()`
`EReference` `getNodeEntry_Key()`
`EAttribute` `getNodeEntry_Value()`
`EClass` `getNodeEntry()`
`NotationFactory` `getNotationFactory()`
`EAttribute` `getPageStyle_PageHeight()`
`EAttribute` `getPageStyle_PageWidth()`
`EAttribute` `getPageStyle_PageX()`
`EAttribute` `getPageStyle_PageY()`
`EClass` `getPageStyle()`
`EAttribute` `getRatio_Value()`
`EClass` `getRatio()`
`EDataType` `getRelativeBendpointList()`
`EAttribute` `getRelativeBendpoints_Points()`
`EClass` `getRelativeBendpoints()`
`EEnum` `getRouting()`
`EAttribute` `getRoutingStyle_AvoidObstructions()`
`EAttribute` `getRoutingStyle_ClosestDistance()`
`EAttribute` `getRoutingStyle_JumpLinksReverse()`
`EAttribute` `getRoutingStyle_JumpLinkStatus()`
`EAttribute` `getRoutingStyle_JumpLinkType()`
`EAttribute` `getRoutingStyle_Routing()`
`EAttribute` `getRoutingStyle_Smoothness()`
`EClass` `getRoutingStyle()`
`EClass` `getShapeStyle()`
`EAttribute` `getSize_Height()`
`EAttribute` `getSize_Width()`
`EClass` `getSize()`
`EEnum` `getSmoothness()`
`EEnum` `getSorting()`
`EEnum` `getSortingDirection()`
`EReference` `getSortingStyle_SortedObjects()`
`EAttribute` `getSortingStyle_Sorting()`
`EAttribute` `getSortingStyle_SortingKeys()`
`EClass` `getSortingStyle()`
`EDataType` `getSortKeyMap()`
`EClass` `getStyle()`
`EAttribute` `getTitleStyle_ShowTitle()`
`EClass` `getTitleStyle()`
`EReference` `getView_Diagram()`
`EReference` `getView_Element()`
`EAttribute` `getView_Mutable()`
`EReference` `getView_PersistedChildren()`
`EReference` `getView_SourceEdges()`
`EReference` `getView_Styles()`
`EReference` `getView_TargetEdges()`
`EReference` `getView_TransientChildren()`
`EAttribute` `getView_Type()`
`EAttribute` `getView_Visible()`
`EClass` `getView()`
`static NotationPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEOperation, addEOperation, addEParameter, addEParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEDataType, initEDataType, initEEnum, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static NotationPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `NotationPackage.eNS_URI`, `NotationPackageImpl.createPackageContents()`, `NotationPackageImpl.initializePackageContents()`
  ** Generated **

### getEdge

    public EClass getEdge()

  Specified by:
    `getEdge` in interface `NotationPackage`
  Returns:
    the meta object for class 'Edge'.
  See Also:
    `Edge`
  ** Generated **

### getEdge_Source

    public EReference getEdge_Source()

  Specified by:
    `getEdge_Source` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `Edge.getSource()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_Target

    public EReference getEdge_Target()

  Specified by:
    `getEdge_Target` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Target'.
  See Also:
    `Edge.getTarget()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_Bendpoints

    public EReference getEdge_Bendpoints()

  Specified by:
    `getEdge_Bendpoints` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Bendpoints'.
  See Also:
    `Edge.getBendpoints()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_SourceAnchor

    public EReference getEdge_SourceAnchor()

  Specified by:
    `getEdge_SourceAnchor` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Source Anchor'.
  See Also:
    `Edge.getSourceAnchor()`, `NotationPackage.getEdge()`
  ** Generated **

### getEdge_TargetAnchor

    public EReference getEdge_TargetAnchor()

  Specified by:
    `getEdge_TargetAnchor` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Target Anchor'.
  See Also:
    `Edge.getTargetAnchor()`, `NotationPackage.getEdge()`
  ** Generated **

### getNode

    public EClass getNode()

  Specified by:
    `getNode` in interface `NotationPackage`
  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`
  ** Generated **

### getNode_LayoutConstraint

    public EReference getNode_LayoutConstraint()

  Specified by:
    `getNode_LayoutConstraint` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Layout Constraint'.
  See Also:
    `Node.getLayoutConstraint()`, `NotationPackage.getNode()`
  ** Generated **

### getStyle

    public EClass getStyle()

  Specified by:
    `getStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Style'.
  See Also:
    `Style`
  ** Generated **

### getFillStyle

    public EClass getFillStyle()

  Specified by:
    `getFillStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Fill Style'.
  See Also:
    `FillStyle`
  ** Generated **

### getFillStyle_FillColor

    public EAttribute getFillStyle_FillColor()

  Specified by:
    `getFillStyle_FillColor` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Fill Color'.
  See Also:
    `FillStyle.getFillColor()`, `NotationPackage.getFillStyle()`
  ** Generated **

### getLineStyle

    public EClass getLineStyle()

  Specified by:
    `getLineStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Line Style'.
  See Also:
    `LineStyle`
  ** Generated **

### getLineStyle_LineColor

    public EAttribute getLineStyle_LineColor()

  Specified by:
    `getLineStyle_LineColor` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Line Color'.
  See Also:
    `LineStyle.getLineColor()`, `NotationPackage.getLineStyle()`
  ** Generated **

### getFontStyle

    public EClass getFontStyle()

  Specified by:
    `getFontStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getFontStyle_FontColor

    public EAttribute getFontStyle_FontColor()

  Specified by:
    `getFontStyle_FontColor` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Font Color'.
  See Also:
    `FontStyle.getFontColor()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_FontName

    public EAttribute getFontStyle_FontName()

  Specified by:
    `getFontStyle_FontName` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Font Name'.
  See Also:
    `FontStyle.getFontName()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_FontHeight

    public EAttribute getFontStyle_FontHeight()

  Specified by:
    `getFontStyle_FontHeight` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Font Height'.
  See Also:
    `FontStyle.getFontHeight()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Bold

    public EAttribute getFontStyle_Bold()

  Specified by:
    `getFontStyle_Bold` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Bold'.
  See Also:
    `FontStyle.isBold()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Italic

    public EAttribute getFontStyle_Italic()

  Specified by:
    `getFontStyle_Italic` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Italic'.
  See Also:
    `FontStyle.isItalic()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_Underline

    public EAttribute getFontStyle_Underline()

  Specified by:
    `getFontStyle_Underline` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Underline'.
  See Also:
    `FontStyle.isUnderline()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getFontStyle_StrikeThrough

    public EAttribute getFontStyle_StrikeThrough()

  Specified by:
    `getFontStyle_StrikeThrough` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Strike Through'.
  See Also:
    `FontStyle.isStrikeThrough()`, `NotationPackage.getFontStyle()`
  ** Generated **

### getTitleStyle

    public EClass getTitleStyle()

  Specified by:
    `getTitleStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Title Style'.
  See Also:
    `TitleStyle`
  ** Generated **

### getTitleStyle_ShowTitle

    public EAttribute getTitleStyle_ShowTitle()

  Specified by:
    `getTitleStyle_ShowTitle` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Show Title'.
  See Also:
    `TitleStyle.isShowTitle()`, `NotationPackage.getTitleStyle()`
  ** Generated **

### getSortingStyle

    public EClass getSortingStyle()

  Specified by:
    `getSortingStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Sorting Style'.
  See Also:
    `SortingStyle`
  ** Generated **

### getSortingStyle_Sorting

    public EAttribute getSortingStyle_Sorting()

  Specified by:
    `getSortingStyle_Sorting` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Sorting'.
  See Also:
    `SortingStyle.getSorting()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getSortingStyle_SortingKeys

    public EAttribute getSortingStyle_SortingKeys()

  Specified by:
    `getSortingStyle_SortingKeys` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Sorting Keys'.
  See Also:
    `SortingStyle.getSortingKeys()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getSortingStyle_SortedObjects

    public EReference getSortingStyle_SortedObjects()

  Specified by:
    `getSortingStyle_SortedObjects` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Sorted Objects'.
  See Also:
    `SortingStyle.getSortedObjects()`, `NotationPackage.getSortingStyle()`
  ** Generated **

### getDescriptionStyle

    public EClass getDescriptionStyle()

  Specified by:
    `getDescriptionStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Description Style'.
  See Also:
    `DescriptionStyle`
  ** Generated **

### getDescriptionStyle_Description

    public EAttribute getDescriptionStyle_Description()

  Specified by:
    `getDescriptionStyle_Description` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `DescriptionStyle.getDescription()`, `NotationPackage.getDescriptionStyle()`
  ** Generated **

### getLayoutConstraint

    public EClass getLayoutConstraint()

  Specified by:
    `getLayoutConstraint` in interface `NotationPackage`
  Returns:
    the meta object for class 'Layout Constraint'.
  See Also:
    `LayoutConstraint`
  ** Generated **

### getSize

    public EClass getSize()

  Specified by:
    `getSize` in interface `NotationPackage`
  Returns:
    the meta object for class 'Size'.
  See Also:
    `Size`
  ** Generated **

### getSize_Width

    public EAttribute getSize_Width()

  Specified by:
    `getSize_Width` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `Size.getWidth()`, `NotationPackage.getSize()`
  ** Generated **

### getSize_Height

    public EAttribute getSize_Height()

  Specified by:
    `getSize_Height` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `Size.getHeight()`, `NotationPackage.getSize()`
  ** Generated **

### getLocation

    public EClass getLocation()

  Specified by:
    `getLocation` in interface `NotationPackage`
  Returns:
    the meta object for class 'Location'.
  See Also:
    `Location`
  ** Generated **

### getLocation_X

    public EAttribute getLocation_X()

  Specified by:
    `getLocation_X` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Location.getX()`, `NotationPackage.getLocation()`
  ** Generated **

### getLocation_Y

    public EAttribute getLocation_Y()

  Specified by:
    `getLocation_Y` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Location.getY()`, `NotationPackage.getLocation()`
  ** Generated **

### getBounds

    public EClass getBounds()

  Specified by:
    `getBounds` in interface `NotationPackage`
  Returns:
    the meta object for class 'Bounds'.
  See Also:
    `Bounds`
  ** Generated **

### getRatio

    public EClass getRatio()

  Specified by:
    `getRatio` in interface `NotationPackage`
  Returns:
    the meta object for class 'Ratio'.
  See Also:
    `Ratio`
  ** Generated **

### getRatio_Value

    public EAttribute getRatio_Value()

  Specified by:
    `getRatio_Value` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Ratio.getValue()`, `NotationPackage.getRatio()`
  ** Generated **

### getAnchor

    public EClass getAnchor()

  Specified by:
    `getAnchor` in interface `NotationPackage`
  Returns:
    the meta object for class 'Anchor'.
  See Also:
    `Anchor`
  ** Generated **

### getBendpoints

    public EClass getBendpoints()

  Specified by:
    `getBendpoints` in interface `NotationPackage`
  Returns:
    the meta object for class 'Bendpoints'.
  See Also:
    `Bendpoints`
  ** Generated **

### getIdentityAnchor

    public EClass getIdentityAnchor()

  Specified by:
    `getIdentityAnchor` in interface `NotationPackage`
  Returns:
    the meta object for class 'Identity Anchor'.
  See Also:
    `IdentityAnchor`
  ** Generated **

### getIdentityAnchor_Id

    public EAttribute getIdentityAnchor_Id()

  Specified by:
    `getIdentityAnchor_Id` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IdentityAnchor.getId()`, `NotationPackage.getIdentityAnchor()`
  ** Generated **

### getRoutingStyle

    public EClass getRoutingStyle()

  Specified by:
    `getRoutingStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Routing Style'.
  See Also:
    `RoutingStyle`
  ** Generated **

### getRoutingStyle_Routing

    public EAttribute getRoutingStyle_Routing()

  Specified by:
    `getRoutingStyle_Routing` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Routing'.
  See Also:
    `RoutingStyle.getRouting()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_Smoothness

    public EAttribute getRoutingStyle_Smoothness()

  Specified by:
    `getRoutingStyle_Smoothness` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Smoothness'.
  See Also:
    `RoutingStyle.getSmoothness()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_AvoidObstructions

    public EAttribute getRoutingStyle_AvoidObstructions()

  Specified by:
    `getRoutingStyle_AvoidObstructions` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Avoid Obstructions'.
  See Also:
    `RoutingStyle.isAvoidObstructions()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_ClosestDistance

    public EAttribute getRoutingStyle_ClosestDistance()

  Specified by:
    `getRoutingStyle_ClosestDistance` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Closest Distance'.
  See Also:
    `RoutingStyle.isClosestDistance()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkStatus

    public EAttribute getRoutingStyle_JumpLinkStatus()

  Specified by:
    `getRoutingStyle_JumpLinkStatus` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Jump Link Status'.
  See Also:
    `RoutingStyle.getJumpLinkStatus()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkType

    public EAttribute getRoutingStyle_JumpLinkType()

  Specified by:
    `getRoutingStyle_JumpLinkType` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Jump Link Type'.
  See Also:
    `RoutingStyle.getJumpLinkType()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinksReverse

    public EAttribute getRoutingStyle_JumpLinksReverse()

  Specified by:
    `getRoutingStyle_JumpLinksReverse` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Jump Links Reverse'.
  See Also:
    `RoutingStyle.isJumpLinksReverse()`, `NotationPackage.getRoutingStyle()`
  ** Generated **

### getView

    public EClass getView()

  Specified by:
    `getView` in interface `NotationPackage`
  Returns:
    the meta object for class 'View'.
  See Also:
    `View`
  ** Generated **

### getView_Visible

    public EAttribute getView_Visible()

  Specified by:
    `getView_Visible` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Visible'.
  See Also:
    `View.isVisible()`, `NotationPackage.getView()`
  ** Generated **

### getView_Type

    public EAttribute getView_Type()

  Specified by:
    `getView_Type` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `View.getType()`, `NotationPackage.getView()`
  ** Generated **

### getView_Mutable

    public EAttribute getView_Mutable()

  Specified by:
    `getView_Mutable` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Mutable'.
  See Also:
    `View.isMutable()`, `NotationPackage.getView()`
  ** Generated **

### getView_SourceEdges

    public EReference getView_SourceEdges()

  Specified by:
    `getView_SourceEdges` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Source Edges'.
  See Also:
    `View.getSourceEdges()`, `NotationPackage.getView()`
  ** Generated **

### getView_TargetEdges

    public EReference getView_TargetEdges()

  Specified by:
    `getView_TargetEdges` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Target Edges'.
  See Also:
    `View.getTargetEdges()`, `NotationPackage.getView()`
  ** Generated **

### getView_PersistedChildren

    public EReference getView_PersistedChildren()

  Specified by:
    `getView_PersistedChildren` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Persisted Children'.
  See Also:
    `View.getPersistedChildren()`, `NotationPackage.getView()`
  ** Generated **

### getView_Styles

    public EReference getView_Styles()

  Specified by:
    `getView_Styles` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `View.getStyles()`, `NotationPackage.getView()`
  ** Generated **

### getView_Element

    public EReference getView_Element()

  Specified by:
    `getView_Element` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `View.getElement()`, `NotationPackage.getView()`
  ** Generated **

### getView_Diagram

    public EReference getView_Diagram()

  Specified by:
    `getView_Diagram` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Diagram'.
  See Also:
    `View.getDiagram()`, `NotationPackage.getView()`
  ** Generated **

### getView_TransientChildren

    public EReference getView_TransientChildren()

  Specified by:
    `getView_TransientChildren` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Transient Children'.
  See Also:
    `View.getTransientChildren()`, `NotationPackage.getView()`
  ** Generated **

### getRelativeBendpoints

    public EClass getRelativeBendpoints()

  Specified by:
    `getRelativeBendpoints` in interface `NotationPackage`
  Returns:
    the meta object for class 'Relative Bendpoints'.
  See Also:
    `RelativeBendpoints`
  ** Generated **

### getRelativeBendpoints_Points

    public EAttribute getRelativeBendpoints_Points()

  Specified by:
    `getRelativeBendpoints_Points` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Points'.
  See Also:
    `RelativeBendpoints.getPoints()`, `NotationPackage.getRelativeBendpoints()`
  ** Generated **

### getDiagram

    public EClass getDiagram()

  Specified by:
    `getDiagram` in interface `NotationPackage`
  Returns:
    the meta object for class 'Diagram'.
  See Also:
    `Diagram`
  ** Generated **

### getDiagram_Name

    public EAttribute getDiagram_Name()

  Specified by:
    `getDiagram_Name` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Diagram.getName()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_MeasurementUnit

    public EAttribute getDiagram_MeasurementUnit()

  Specified by:
    `getDiagram_MeasurementUnit` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Measurement Unit'.
  See Also:
    `Diagram.getMeasurementUnit()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_PersistedEdges

    public EReference getDiagram_PersistedEdges()

  Specified by:
    `getDiagram_PersistedEdges` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Persisted Edges'.
  See Also:
    `Diagram.getPersistedEdges()`, `NotationPackage.getDiagram()`
  ** Generated **

### getDiagram_TransientEdges

    public EReference getDiagram_TransientEdges()

  Specified by:
    `getDiagram_TransientEdges` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Transient Edges'.
  See Also:
    `Diagram.getTransientEdges()`, `NotationPackage.getDiagram()`
  ** Generated **

### getImage

    public EClass getImage()

  Specified by:
    `getImage` in interface `NotationPackage`
  Returns:
    the meta object for class 'Image'.
  See Also:
    `Image`
  ** Generated **

### getImage_Data

    public EAttribute getImage_Data()

  Specified by:
    `getImage_Data` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `Image.getData()`, `NotationPackage.getImage()`
  ** Generated **

### getCanonicalStyle

    public EClass getCanonicalStyle()

  Specified by:
    `getCanonicalStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Canonical Style'.
  See Also:
    `CanonicalStyle`
  ** Generated **

### getCanonicalStyle_Canonical

    public EAttribute getCanonicalStyle_Canonical()

  Specified by:
    `getCanonicalStyle_Canonical` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Canonical'.
  See Also:
    `CanonicalStyle.isCanonical()`, `NotationPackage.getCanonicalStyle()`
  ** Generated **

### getShapeStyle

    public EClass getShapeStyle()

  Specified by:
    `getShapeStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Shape Style'.
  See Also:
    `ShapeStyle`
  ** Generated **

### getConnectorStyle

    public EClass getConnectorStyle()

  Specified by:
    `getConnectorStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Connector Style'.
  See Also:
    `ConnectorStyle`
  ** Generated **

### getPageStyle

    public EClass getPageStyle()

  Specified by:
    `getPageStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Page Style'.
  See Also:
    `PageStyle`
  ** Generated **

### getPageStyle_PageX

    public EAttribute getPageStyle_PageX()

  Specified by:
    `getPageStyle_PageX` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page X'.
  See Also:
    `PageStyle.getPageX()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageY

    public EAttribute getPageStyle_PageY()

  Specified by:
    `getPageStyle_PageY` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page Y'.
  See Also:
    `PageStyle.getPageY()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageWidth

    public EAttribute getPageStyle_PageWidth()

  Specified by:
    `getPageStyle_PageWidth` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page Width'.
  See Also:
    `PageStyle.getPageWidth()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getPageStyle_PageHeight

    public EAttribute getPageStyle_PageHeight()

  Specified by:
    `getPageStyle_PageHeight` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Page Height'.
  See Also:
    `PageStyle.getPageHeight()`, `NotationPackage.getPageStyle()`
  ** Generated **

### getDrawerStyle

    public EClass getDrawerStyle()

  Specified by:
    `getDrawerStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Drawer Style'.
  See Also:
    `DrawerStyle`
  ** Generated **

### getDrawerStyle_Collapsed

    public EAttribute getDrawerStyle_Collapsed()

  Specified by:
    `getDrawerStyle_Collapsed` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Collapsed'.
  See Also:
    `DrawerStyle.isCollapsed()`, `NotationPackage.getDrawerStyle()`
  ** Generated **

### getGuideStyle

    public EClass getGuideStyle()

  Specified by:
    `getGuideStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Guide Style'.
  See Also:
    `GuideStyle`
  ** Generated **

### getGuideStyle_HorizontalGuides

    public EReference getGuideStyle_HorizontalGuides()

  Specified by:
    `getGuideStyle_HorizontalGuides` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Horizontal Guides'.
  See Also:
    `GuideStyle.getHorizontalGuides()`, `NotationPackage.getGuideStyle()`
  ** Generated **

### getGuideStyle_VerticalGuides

    public EReference getGuideStyle_VerticalGuides()

  Specified by:
    `getGuideStyle_VerticalGuides` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference list 'Vertical Guides'.
  See Also:
    `GuideStyle.getVerticalGuides()`, `NotationPackage.getGuideStyle()`
  ** Generated **

### getGuide

    public EClass getGuide()

  Specified by:
    `getGuide` in interface `NotationPackage`
  Returns:
    the meta object for class 'Guide'.
  See Also:
    `Guide`
  ** Generated **

### getGuide_Position

    public EAttribute getGuide_Position()

  Specified by:
    `getGuide_Position` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `Guide.getPosition()`, `NotationPackage.getGuide()`
  ** Generated **

### getGuide_NodeMap

    public EReference getGuide_NodeMap()

  Specified by:
    `getGuide_NodeMap` in interface `NotationPackage`
  Returns:
    the meta object for the map 'Node Map'.
  See Also:
    `Guide.getNodeMap()`, `NotationPackage.getGuide()`
  ** Generated **

### getNodeEntry

    public EClass getNodeEntry()

  Specified by:
    `getNodeEntry` in interface `NotationPackage`
  Returns:
    the meta object for class 'Node Entry'.
  See Also:
    `Map.Entry`
  ** Generated **

### getNodeEntry_Value

    public EAttribute getNodeEntry_Value()

  Specified by:
    `getNodeEntry_Value` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Map.Entry`, `NotationPackage.getNodeEntry()`
  ** Generated **

### getNodeEntry_Key

    public EReference getNodeEntry_Key()

  Specified by:
    `getNodeEntry_Key` in interface `NotationPackage`
  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `NotationPackage.getNodeEntry()`
  ** Generated **

### getFilteringStyle

    public EClass getFilteringStyle()

  Specified by:
    `getFilteringStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Filtering Style'.
  See Also:
    `FilteringStyle`
  ** Generated **

### getFilteringStyle_Filtering

    public EAttribute getFilteringStyle_Filtering()

  Specified by:
    `getFilteringStyle_Filtering` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Filtering'.
  See Also:
    `FilteringStyle.getFiltering()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteringKeys

    public EAttribute getFilteringStyle_FilteringKeys()

  Specified by:
    `getFilteringStyle_FilteringKeys` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Filtering Keys'.
  See Also:
    `FilteringStyle.getFilteringKeys()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteredObjects

    public EReference getFilteringStyle_FilteredObjects()

  Specified by:
    `getFilteringStyle_FilteredObjects` in interface `NotationPackage`
  Returns:
    the meta object for the reference list 'Filtered Objects'.
  See Also:
    `FilteringStyle.getFilteredObjects()`, `NotationPackage.getFilteringStyle()`
  ** Generated **

### getDiagramStyle

    public EClass getDiagramStyle()

  Specified by:
    `getDiagramStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Diagram Style'.
  See Also:
    `DiagramStyle`
  ** Generated **

### getImageStyle

    public EClass getImageStyle()

  Specified by:
    `getImageStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Image Style'.
  See Also:
    `ImageStyle`
  ** Generated **

### getImageStyle_AntiAlias

    public EAttribute getImageStyle_AntiAlias()

  Specified by:
    `getImageStyle_AntiAlias` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Anti Alias'.
  See Also:
    `ImageStyle.getAntiAlias()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageStyle_MaintainAspectRatio

    public EAttribute getImageStyle_MaintainAspectRatio()

  Specified by:
    `getImageStyle_MaintainAspectRatio` in interface `NotationPackage`
  Returns:
    the meta object for the attribute 'Maintain Aspect Ratio'.
  See Also:
    `ImageStyle.getMaintainAspectRatio()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageStyle_CropBound

    public EReference getImageStyle_CropBound()

  Specified by:
    `getImageStyle_CropBound` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Crop Bound'.
  See Also:
    `ImageStyle.getCropBound()`, `NotationPackage.getImageStyle()`
  ** Generated **

### getImageBufferStyle

    public EClass getImageBufferStyle()

  Specified by:
    `getImageBufferStyle` in interface `NotationPackage`
  Returns:
    the meta object for class 'Image Buffer Style'.
  See Also:
    `ImageBufferStyle`
  ** Generated **

### getImageBufferStyle_ImageBuffer

    public EReference getImageBufferStyle_ImageBuffer()

  Specified by:
    `getImageBufferStyle_ImageBuffer` in interface `NotationPackage`
  Returns:
    the meta object for the containment reference 'Image Buffer'.
  See Also:
    `ImageBufferStyle.getImageBuffer()`, `NotationPackage.getImageBufferStyle()`
  ** Generated **

### getSorting

    public EEnum getSorting()

  Specified by:
    `getSorting` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Sorting'.
  See Also:
    `Sorting`
  ** Generated **

### getFiltering

    public EEnum getFiltering()

  Specified by:
    `getFiltering` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Filtering'.
  See Also:
    `Filtering`
  ** Generated **

### getRouting

    public EEnum getRouting()

  Specified by:
    `getRouting` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Routing'.
  See Also:
    `Routing`
  ** Generated **

### getSmoothness

    public EEnum getSmoothness()

  Specified by:
    `getSmoothness` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Smoothness'.
  See Also:
    `Smoothness`
  ** Generated **

### getJumpLinkStatus

    public EEnum getJumpLinkStatus()

  Specified by:
    `getJumpLinkStatus` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Jump Link Status'.
  See Also:
    `JumpLinkStatus`
  ** Generated **

### getJumpLinkType

    public EEnum getJumpLinkType()

  Specified by:
    `getJumpLinkType` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Jump Link Type'.
  See Also:
    `JumpLinkType`
  ** Generated **

### getAlignment

    public EEnum getAlignment()

  Specified by:
    `getAlignment` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Alignment'.
  See Also:
    `Alignment`
  ** Generated **

### getSortingDirection

    public EEnum getSortingDirection()

  Specified by:
    `getSortingDirection` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Sorting Direction'.
  See Also:
    `SortingDirection`
  ** Generated **

### getMeasurementUnit

    public EEnum getMeasurementUnit()

  Specified by:
    `getMeasurementUnit` in interface `NotationPackage`
  Returns:
    the meta object for enum 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getRelativeBendpointList

    public EDataType getRelativeBendpointList()

  Specified by:
    `getRelativeBendpointList` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Relative Bendpoint List'.
  See Also:
    `List`
  ** Generated **

### getFilterKeyList

    public EDataType getFilterKeyList()

  Specified by:
    `getFilterKeyList` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Filter Key List'.
  See Also:
    `List`
  ** Generated **

### getSortKeyMap

    public EDataType getSortKeyMap()

  Specified by:
    `getSortKeyMap` in interface `NotationPackage`
  Returns:
    the meta object for data type 'Sort Key Map'.
  See Also:
    `Map`
  ** Generated **

### getNotationFactory

    public NotationFactory getNotationFactory()

  Specified by:
    `getNotationFactory` in interface `NotationPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.